Nefunkční MENU ve staré verzi

ariva
19. bře 2021 10:43 #143997
Ahoj všem, volám SOS pro radu. Mám web postavený kdysi dávno na nějaké staré, vážně netuším které, verzi joomla. A teď, z ničeho nic, mi zmizelo celé menu - aniž bych se v tom sama hrabala. Předpokládala jsem chybu poskytovatele, protože se to stalo "samo," ale ten odmítá s tím něco dělat. Takže jak to funguje - úplně komplet celá nabídka Menu zmizela, a místo ní jsou tam jen názvy. V administrační části (správce nabídky) se mi položky nabídky zobrazují, všechny se tváří jako funkční (obsahují další nabídky, všechny zveřejněné), ale když si jednotlivé položky rozkliknu, už se nezobrazí nic, žádný obsah. Já předpokládám, že se to muselo stát nějakou jednou chybou, po jejíž opravě se celý web vrátí do normálu. Ale vážně netuším, jaká chyba to může být. Poradil by prosím někdo? Budu opravdu moc vděčná! Děkuji
Přílohy:

Pro možnost přispívání do fóra je nutné: Přihlásit se nebo Vytvořit účet.

Odpověď od ariva
19. bře 2021 10:45 #143998


Takto vypadá správce nabídky, kde jsou viditelné položky, které se následně ale už nezobrazí
Přílohy:

Pro možnost přispívání do fóra je nutné: Přihlásit se nebo Vytvořit účet.

Odpověď od Rudolf
19. bře 2021 14:11 - 19. bře 2021 14:13 #143999
Místo obrázků kde nic nefunguje a které nejsou vhodné pro zjištění chyby PROČ, by bylo vhodné
zobrazit verzi Joomla
verzi PHP na hostingu

Očekávám chyby v php a nenahlášenou změnu verze PHP na hostingu (pro J15 je maximální vhodný výše PHP 5.4, na PHP5.6 již se musí hodně upravovat v kódu aby to běželo a snad ani ne).

Jinak web je zde:
www.katcinasmecka.cz/index.php

a jde o Joomla 1.5

MiniJoomla! - www.minijoomla.org - eshop s rozšířením Joomla/VM
Email Manager - aplikace na správu šablon emailů pro VirtueMart
Easy Feeder - aplikace na generování XML/CSV feedů a napojení na ERP pro VM
PragueClassicconcert - portál pro prodej vstupenek na systému Joomla
Poděkovali: ariva

Pro možnost přispívání do fóra je nutné: Přihlásit se nebo Vytvořit účet.

Odpověď od Bong
19. bře 2021 16:03 #144003
Zkuste zjistit požadované v administraci, nabídka: Pomoc - Systémové informace. Zkopírujte parametry a vložte sem.

I'm sorry, my responses are limited...you must ask the right questions.

Pro možnost přispívání do fóra je nutné: Přihlásit se nebo Vytvořit účet.

Odpověď od ariva
21. bře 2021 16:49 #144011
Děkuji za vysvětlení, přesně jsem věděla, že zde mi někdo ochotný a schopný poradí :) S odstupem času chápu, že nebyl dobrý nápad si tvořit web sama, a do budoucna to každopádně budu muset změnit.

Ano, verze php na hostingu je skutečně 5.6 - má smyls kód nějak upravovat, nebo bude lepší přeinstalovat joomlu na novější verzi? Pokud přeinstalovat, má smysl (a lze to vůbec?) web jen upravit, nebo raději udělat nový?

Díky!

Přikládám obrázky - sys témové informace (systémové informace + nastavení php)
Přílohy:

Pro možnost přispívání do fóra je nutné: Přihlásit se nebo Vytvořit účet.

Odpověď od Cufe
21. bře 2021 18:32 #144012
Z hlediska funkcí i bezpečnosti by určitě bylo lepší (doporučuji) web mít na aktuální verzi joomly, tedy Joomla 3.9.x. Joomla 1.5 na php 5.6 má běžet normálně. Pokud se rozhodnete pro aktualizaci webu na Joomla 3, s ohledem na obsah bych volil migraci dat, ať máte zachovanou historii. Pokud byste stavěla nový web, přišel by problém s již zaindexovanými URL stránkami (musela byste přesměrovávat). Pokud na to nikoho mít nebudete, klidně se ozvěte skrze kontakty v profilu. Dělám to běžně.

Joomla úřední deska | IVT služby - IT služby, webové stránky v Joomla!, online marketing | Joomla je best! Zveřejni svůj problém, pokud ho vyřešíš sám, jsi best!
Poděkovali: ariva

Pro možnost přispívání do fóra je nutné: Přihlásit se nebo Vytvořit účet.

Odpověď od Rudolf
22. bře 2021 06:46 - 22. bře 2021 07:16 #144015

Joomla 1.5 na php 5.6 má běžet normálně.


Jak jsem psal - nemá.
Například pokud si dáte práci a vyhledáte na google v EN:

joomla.stackexchange.com/questions/786/w...-joomla-1-5-will-run
downloads.joomla.org/technical-requirements
forum.joomla.org/viewtopic.php?t=929765
forum.joomla.org/viewtopic.php?t=905465

Z vlastní zkušenosti potvrzuji:
Joomla 1.5 most likely won't function on PHP 5.6. Even with error reporting turned off, there's a good chance you're just going to end up on a white screen. For a 1.5 site, your best bet is to run with PHP 5.3 or 5.4 with error reporting turned off (5.3 was the last version things worked OK on, 5.4 started spitting out miles of messages on each page because of internal PHP changes).

Proto máme staré weby na J5 jen PHP 5.4 (donedávna jsme na hostingu podporovali PHP5.3), jinak by bylo nutné, jak jsem psal, provádět odborné zásahy do rozšíření a odstranění chyb (už jen z povahy verze PHP a použití PHP příkazů ve verzi J15 - to ale lidé, kteří měli web i nadále na PHP5.3 nebyli ochotni pochopit a hlavně zaplatit).
Podle mne na ně nemáte a proto jsem napsal, to co jsem napsal.

A nakonec stejně platí to co psal Cufe a co zaznělo v diskusi na odkazech:

The best way is to migrate your joomla 1.5 to joomla 3.6.0 (dnes 3.9.X)

MiniJoomla! - www.minijoomla.org - eshop s rozšířením Joomla/VM
Email Manager - aplikace na správu šablon emailů pro VirtueMart
Easy Feeder - aplikace na generování XML/CSV feedů a napojení na ERP pro VM
PragueClassicconcert - portál pro prodej vstupenek na systému Joomla
Poděkovali: ariva

Pro možnost přispívání do fóra je nutné: Přihlásit se nebo Vytvořit účet.

Odpověď od ariva
22. bře 2021 16:14 #144027
Děkuji mnohokrát za odpovědi, je mi jasné, že web nemůže vydržet věčnost..... Doufala jsem v nějaký menší problém, než přeinstalace, ale co se dá dělat :) Krásný den všem!

Pro možnost přispívání do fóra je nutné: Přihlásit se nebo Vytvořit účet.